<?php
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	$lu = count($_SESSION['usersn']);
	$moje_id = $_SESSION['id'];
	$moja_nazwa = $_SESSION['nazwa'];
	if (!isset($_SESSION['skok'])) {
		$_SESSION['skok']=0;
	}
	if (!isset($_SESSION['w_id'])) {
		$_SESSION['w_id']=$_SESSION['id'];
		$_SESSION['w_n']=$_SESSION['nazwa'];
	}
	
	if (!isset($_SESSION['kol_u'])) {
		for ($i=0; $i<$lu; $i++) {
			$_SESSION['kol_u'][$i] = '#F8F8F8';
		}
	}
	
	if (!isset($_SESSION['kol_w'])) {
		for ($i=0; $i<6; $i++) {
		$_SESSION['kol_w'][$i] = '#102838';
		}
	} 
	
	$limit=10;
	if (isset($_GET['nr']) AND (is_numeric($_GET['nr']))) {
		$nr=$_GET['nr'];
		$start = $nr;
		$stop = $start+$limit;
	} else {
		$start=0;
		$stop=$limit;
		$nr=0;
	}
	
	if (isset($_POST['k1'])) {
		$start=0;
		$stop=$limit;
		$nr=0;
		$_SESSION['w_id']=$_SESSION['usersid'][($_POST['user_id']-1)];
		$_SESSION['w_n']=$_POST['user_nazwa'];
		for ($i=0; $i<$lu; $i++) {
			$_SESSION['kol_u'][$i] = '#FFF';
		}
		$_SESSION['kol_u'][($_POST['user_id']-1)] = '#0F0';
	}
	
	$id=$_SESSION['w_id'];
	$nazwa=$_SESSION['w_n'];
	
	//--------------------------------------------------
	require_once('wiras_php/wa_baza/wa_polacz.php');
	//---POBRANIE USTAWIEN WYGLADU BLOGA---
	$zap1 = "SELECT kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
	kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
	kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog
	FROM blog_setup WHERE id_user=$id";
	$wynik_pobierz = mysqli_query($db, $zap1);
	$blog_ustaw = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
	{
		$blog_ustaw = $wiersz;
	}
	//---------------------------------------
	
	$kolor = '#040';
	
	if (isset($_POST['bs1']) || isset($_POST['bs2']) || isset($_POST['bs3']) || isset($_POST['bs4']) 
			|| isset($_POST['bs5']) || isset($_POST['bs6'])) {
		$start=0;
		$stop=$limit;
		$nr=0;
		for ($i=0; $i<6; $i++) {
		$_SESSION['kol_w'][$i] = '#102838';
		}
	}
	if (isset($_POST['bs1'])) {
		$_SESSION['skok']=0;
		$_SESSION['kol_w'][0]=$kolor;
	} elseif (isset($_POST['bs2'])) {
		$_SESSION['skok']=1;
		$_SESSION['kol_w'][1]=$kolor;
	} elseif (isset($_POST['bs3'])) {
		$_SESSION['skok']=2;
		$_SESSION['kol_w'][2]=$kolor;
	} elseif (isset($_POST['bs4'])) {
		$_SESSION['skok']=3;
		$_SESSION['kol_w'][3]=$kolor;
	} elseif (isset($_POST['bs5'])) {
		$_SESSION['skok']=4;
		$_SESSION['kol_w'][4]=$kolor;
	} elseif (isset($_POST['bs6'])) {
		$_SESSION['skok']=5;
		$_SESSION['kol_w'][5]=$kolor;
	} else {
		$zap2 = "SELECT * FROM blog_wpis WHERE id_user=$id ORDER BY id_wpis ASC limit ".$start.", ".$limit;
	}	
	//-----------------------------------
	switch($_SESSION['skok']) {
		case 0: $zap2 = "SELECT * FROM blog_wpis WHERE id_user=$id ORDER BY id_wpis ASC limit ".$start.", ".$limit; 
				break;
		case 1: $zap2 = "SELECT * FROM blog_wpis WHERE WEEKOFYEAR(data_wpisu) = WEEKOFYEAR(now( )) AND id_user=$id 
						ORDER BY data_wpisu ASC Limit ".$start.", ".$limit; 
				break;		
		case 2: $zap2 = "SELECT * FROM blog_wpis WHERE data_wpisu >= CURDATE() AND id_user=$id 
						ORDER BY data_wpisu ASC Limit ".$start.", ".$limit;
				break;
		case 3: $zap2 = "SELECT blog_wpis.id_wpis, blog_wpis.id_user, blog_wpis.tytul, blog_wpis.tresc, blog_wpis.data_wpisu
						FROM blog_wpis 
						LEFT JOIN blog_komentarz
						ON id_wpis = id_wpisu 
						WHERE id_komentarz IS NOT NULL AND blog_wpis.id_user = $id
						GROUP BY id_wpis ASC limit ".$start.", ".$limit; 
				break;	
		case 4: $zap2 = "SELECT blog_wpis.id_wpis, blog_wpis.id_user, blog_wpis.tytul, blog_wpis.tresc, blog_wpis.data_wpisu
						FROM blog_wpis LEFT JOIN blog_komentarz ON id_wpis = id_wpisu 
						WHERE id_komentarz IS NULL AND blog_wpis.id_user = $id
						GROUP BY id_wpis ASC Limit ".$start.", ".$limit; 
				break;	
		case 5: $zap2 = "SELECT blog_wpis.id_wpis, blog_wpis.id_user, blog_wpis.tytul, blog_wpis.tresc, blog_wpis.data_wpisu
						FROM blog_wpis LEFT JOIN blog_komentarz ON id_wpis = id_wpisu 
						WHERE id_komentarz IS NOT NULL AND blog_komentarz.id_user=$moje_id
						GROUP BY id_wpis ASC Limit ".$start.", ".$limit; 
				break;
}
	//---------------------------------------
	$wynik_pobierz = mysqli_query($db, $zap2);
	$blog_wpis = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
	{
		$blog_wpis[] = $wiersz;
	}
	//---------------------------------------
	$lw = count($blog_wpis);  //Liczba wpisow
	if ($lw>0) {
		//Zakres id komentarzy
		$minid = $blog_wpis[0][0];
		$maxid = $blog_wpis[($lw-1)][0];
		//----------------------------------------------
		if ($_SESSION['skok']==5) {
			$zap3 = "SELECT * FROM blog_komentarz WHERE id_user=$moje_id AND id_wpisu BETWEEN ".$minid." AND ".$maxid." ORDER BY id_wpisu, data_komentarza asc";
		} else {
		$zap3 = "SELECT * FROM blog_komentarz WHERE id_wpisu BETWEEN ".$minid." AND ".$maxid." ORDER BY id_wpisu, data_komentarza asc";
		}
		$wynik_pobierz = mysqli_query($db, $zap3);
		$blog_komentarz = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$blog_komentarz[] = $wiersz;
		}
		$lk = count($blog_komentarz);  //Liczba komentarzy
		mysqli_close($db);
	}
		//---------------------------------------
		$l=0;
		for ($i=0; $i<2; $i++) {   //Podzial ustawien kolorow na 2 tablice dla wpisow parzystych i nieparzystych
			for ($k=0; $k<7; $k++) {
				$kol[$i][$k] = $blog_ustaw[$l];
				$l++;
			}
		} 
echo '<div id="panel_blog">';
	
	echo '<div id="wpis_przewijanie">';
		if ($nr>0) {
			echo '<div id="wpis_przewijaniel">';
			echo '<a class="button-link" href="?m=1&nr='.($nr-$limit).'">< Poprzednie</a>';
			echo '</div>';
		} else {
			echo '<div id="wpis_przewijaniel">';
			echo '<div class="button-linkn">Poprzednie</div>';
			echo '</div>';
		}
		if ($lw==$limit) {
			echo '<div id="wpis_przewijaniep">';
			echo '<a class="button-link" href="?m=1&nr='.($nr+$limit).'">Następne ></a>';
			echo '</div>';
		} else {
			echo '<div id="wpis_przewijaniep">';
			echo '<div class="button-linkn">Następne</div>';
			echo '</div>';
		}
	echo '</div>';

	echo '<div id="dblog_tlo" style="background-color: '.$blog_ustaw[14].'">';
		$k=0;
		$l=0;
		for ($i=0; $i<$lw; $i++) {
			echo '<div id="dblog_rekord">';
						echo '<div id="dblog_wpis" style="background-color: '.$kol[$k][2].'; border-color: '.$kol[$k][3].';">';	
							echo '<div id="dwpis_info">';
								echo $_SESSION['w_n'].' - '.$blog_wpis[$i][4];
							echo '</div>';
							echo '<div id="dwpis_tytul" style="color: '.$kol[$k][0].'">';	
								echo $blog_wpis[$i][2];
							echo '</div>';
							echo '<div id="dwpis_tresc" style="color: '.$kol[$k][1].'">';
								echo $blog_wpis[$i][3];
							echo '</div>';
						echo '</div>';	
						//--------------------------------
						
				// Komentarz
				echo '<div id="dblog_komentarze" class="dbk'.$blog_wpis[$i][0].'">';
					if ($l<$lk) {
						if ($blog_komentarz[$l][1]==$blog_wpis[$i][0]) {
							while($blog_komentarz[$l][1]==$blog_wpis[$i][0]) {
								
								echo '<div id="dblog_komentarz" style="background-color: '.$kol[$k][5].'; border-color: '.$kol[$k][6].';">';
									echo '<div id="dkomentarz_info">';	
										echo 'Komentarz dodał: '.$blog_komentarz[$l][3].'&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;'.$blog_komentarz[$l][5];
									echo '</div>';
									echo '<div id="dkomentarz_tresc" style="color: '.$kol[$k][4].'">';
										echo $blog_komentarz[$l][4];
									echo '</div>';
								echo '</div>';  //div zamykajacy kolejny komentarz do wpisu
								$l++;
								if ($l>=$lk) break;			
							}
						}
					}
				echo '</div>';  //div zamykajacy komentarze do wpisu
			echo '</div>';  //div zamykajacy rekord
				
				echo '<div id="nowy_komentarz" class="nk'.$blog_wpis[$i][0].'">';

				echo '</div>';
				echo '<div id="dodaj_komentarz"><input type="button" class="but_kom" name="kom1" id="'.$blog_wpis[$i][0].'" value="Dodaj komentarz"></div>';
				
				
				echo '<div id="odstep"></div>';	
			$k++;
			if ($k>1) { $k=0; }
		}

	echo '</div>';
	
	
	
	if ($nr==0 AND $lw==0) {
	} else {
		
		echo '<div id="wpis_przewijanie">';
		if ($nr>0) {
			echo '<div id="wpis_przewijaniel">';
			echo '<a class="button-link" href="?m=1&nr='.($nr-$limit).'">< Poprzednie</a>';
			echo '</div>';
		} else {
			echo '<div id="wpis_przewijaniel">';
			echo '<div class="button-linkn">Poprzednie</div>';
			echo '</div>';
		}
		if ($lw==$limit) {
			echo '<div id="wpis_przewijaniep">';
			echo '<a class="button-link" href="?m=1&nr='.($nr+$limit).'">Następne ></a>';
			echo '</div>';
		} else {
			echo '<div id="wpis_przewijaniep">';
			echo '<div class="button-linkn">Następne</div>';
			echo '</div>';
		}
	echo '</div>';
	
	}
	
echo '</div>';

?>

	<div id="panel_info">
		<div id="blog_ustaw">
			<p id="napis_blog_ustaw">Wybór wpisu</p>
<?php
			echo '<form id="blog_szukaj" action="?m=1&nr='.$nr.'" method="post">';

				echo '<input style="background: '.$_SESSION['kol_w'][0].'" type="submit" id="but_blog1" name="bs1" value="Wszystkie" />';
				echo '<input style="background: '.$_SESSION['kol_w'][1].'" type="submit" id="but_blog1" name="bs2" value="Ostatni tydzień" />';
				echo '<input style="background: '.$_SESSION['kol_w'][2].'" type="submit" id="but_blog1" name="bs3" value="Dzisiaj" />';
				echo '<input style="background: '.$_SESSION['kol_w'][3].'" type="submit" id="but_blog1" name="bs4" value="Z komentarzem" />';
				echo '<input style="background: '.$_SESSION['kol_w'][4].'" type="submit" id="but_blog1" name="bs5" value="Bez komentarza" />';
				echo '<input style="background: '.$_SESSION['kol_w'][5].'" type="submit" id="but_blog1" name="bs6" value="Z moim komentarzem" />';
?>
			</form>
		</div>
		<div id="blog_avatar">
		<p id="napis_blog_ustaw">OSOBY</p>
		<form id="form-1" method="post">
<?php
		$lu = count($_SESSION['usersn']);
		$imgm = '';
		$strona = $_SESSION['strona'].'img/avatar/male/';
		for ($i=0; $i<$lu; $i++) {		
			echo '<div id="szukaj_avatar" style="background: '.$_SESSION['kol_u'][$i].';">';
			if (file_exists ('img/avatar/male/'.$_SESSION['usersn'][$i].'.jpg' )) {
				echo '<input type="submit" class="k'.($i+1).'" id="button_avatar" name="k1" value="" style="background: url('.$strona.$_SESSION['usersn'][$i].'.jpg);"/>';
			} else {
				echo '<input type="submit" class="k'.($i+1).'" id="button_avatar" name="k1" value="" style="background: url('.$strona.'fwa.jpg);"/>';
			}
			echo $_SESSION['usersn'][$i];
			echo '</div>';
		}
?>
			<input type="hidden" id="user_id" name="user_id" value="">
			<input type="hidden" id="user_nazwa" name="user_nazwa" value="">
		</form>
		</div>
	</div>
<script type="text/javascript">
	 id=0;
	 
<?php
		if (isset($_SESSION['klik'])) {
			echo 'uid = "'.$_SESSION['klik'].'";';
		} else echo 'uid = "";';
		
		echo 'var users = [];';
		for ($i=0; $i<$lu; $i++) {
			echo "users[".$i."]='".$_SESSION['usersn'][$i]."';";
		}
?>
	 
$(document).ready(function(){
	
	 $(document).on("click", "#but_komentarz", function () {
		var w1 = $('.tk'+id).val();
		if (w1=='') {
			alert('Musisz wpisać tekst komentarza!!!');
			return false;
		}
		
		<?php
		echo 'var zh01 = "'.$kol[0][4].'";';
		echo 'var zh02 = "'.$kol[0][5].'";';
		echo 'var zh03 = "'.$kol[0][6].'";';
		echo 'var zh11 = "'.$kol[1][4].'";';
		echo 'var zh12 = "'.$kol[1][5].'";';
		echo 'var zh13 = "'.$kol[1][6].'";';
		?>
		if ((id % 2)>0) {
			var kol1 = zh01;
			var kol2 = zh02;
			var kol3 = zh03;
		} else {
			var kol1 = zh11;
			var kol2 = zh12;
			var kol3 = zh13;
		}
		
		$.ajax({
            type:"POST",
            url:"wiras_php/wa_baza/wa_zapisz_komentarz.php",
            data: {k1:id, k2:w1, k3:kol1, k4:kol2, k5:kol3},
 
                success:function(s) {
						$('.dbk'+id).html(s);  
						$('.nk'+id).toggle('slow');
						
				},
                error: function(blad) {
                    console.log("Błąd - Problem z zapisem komentarza"); 
                }
        });
		
		setTimeout(function(){
			$("#nowy_komentarz").hide();
				}, 500);              
    });
	
	
	$(document).on("click", ".but_kom", function () {	
		var t = $(this).attr('id');	
		
		$('.nk'+t).toggle('slow');
		if (t!=id) {
			$('.nk'+id).hide('slow');
		}
		
		var pk1='<form id="formularz_komentarz" method="post" >';
		var pk2='<textarea class="tk' + t + '" id="tekst_nk" name="tresc" rows="3" cols="25" ></textarea>';
		var pk3='<input type="button" class="but_zapisz_komentarz" id="but_komentarz" value="Zapisz" name="zapis" />';
		var pk4='</form>';
		$(".nk"+t).html(pk1+pk2+pk3+pk4);	
		
			if ($('#'+t).attr('value')=='Dodaj komentarz') {
				$('#'+t).attr('value', 'Zamknij');
			} else {
				$('#'+t).attr('value', 'Dodaj komentarz');
			}
			if (t!=id) {
				$('#'+id).attr('value', 'Dodaj komentarz');
			}
			
			$('#'+id).css({
			'border' :' 1px ridge #777',
			'height' : '24px'
			});
		
			$('#'+t).css({
			'border' :' 2px solid #0dd',
			'height' : '24px'
			});
				
		id = t;
		});	
		
	
		$(document).on("click", "#button_avatar", function () {			
			var t = $(this).attr('class');
			var lp = t.slice(1, t.length);
			for (var i=0; i<users.length; i++) {
				if (lp==(i+1)) {
					$('#user_id').val(i+1);
					$('#user_nazwa').val(users[i]);
				}
			}
			var s = location.href;	
			$('#form-1').attr('action', s);
			$('#form-1').submit('k1');
			return false;	
		});
			
    
});
</script>